var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { withStyles } from "@material-ui/core";
import clsx from "clsx";
var styles = function (theme) { return ({
    root: __assign({ padding: "0 10px 15px", fontWeight: theme.typography.fontWeightBold, textOverflow: "ellipsis", whiteSpace: "nowrap", overflow: "hidden" }, theme.typography.subtitle1),
    toolbar: {
        height: 30,
        padding: "10px 10px 0"
    },
    title: {}
}); };
var CardHeader = function (props) {
    var classes = props.classes, className = props.className, title = props.title, other = __rest(props, ["classes", "className", "title"]);
    return (React.createElement("div", __assign({}, other, { className: clsx(classes.root, className) }),
        React.createElement("div", { className: clsx(classes.toolbar) }),
        React.createElement("div", { className: clsx(classes.title) }, title)));
};
export default withStyles(styles, { name: "DcCardHeader" })(CardHeader);
