import React, { PropsWithChildren } from "react";
import { WithStyles } from "@material-ui/core";
declare const styles: {
    root: {
        display: string;
        width: string;
        "min-width": string;
        "max-width": string;
        margin: string;
        position: "relative";
        "&:before": {
            content: string;
            display: string;
            "padding-top": string;
        };
    };
    content: {
        position: "absolute";
        top: number;
        left: number;
        bottom: number;
        right: number;
    };
    "empty-slot": {};
    "populated-slot": {};
};
export declare type ChooserVariant = "empty-slot" | "populated-slot";
export interface ChooserProps extends PropsWithChildren<WithStyles<typeof styles>> {
    variant?: ChooserVariant;
    style?: React.CSSProperties;
    className?: string;
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<ChooserProps>, "style" | "variant" | "className" | "children"> & import("@material-ui/core").StyledComponentProps<"empty-slot" | "populated-slot" | "root" | "content">>;
export default _default;
