import React, { PropsWithChildren } from "react";
import { WithStyles } from "@material-ui/core";
import { ChooserVariant } from "../Chooser/Chooser";
declare const styles: {
    root: {
        transition: string;
        position: "absolute";
        top: number;
        left: number;
        bottom: number;
        right: number;
        display: string;
        "flex-direction": string;
        "align-items": string;
        "align-content": string;
        "justify-content": string;
        "&$empty-slot": {
            "background-color": string;
            fill: string;
            "&:hover": {
                "background-color": string;
                fill: string;
            };
        };
        "&$populated-slot": {
            fill: string;
            "&:hover": {
                "background-color": string;
            };
        };
        "&:hover $content": {
            display: string;
        };
    };
    content: {};
    "empty-slot": {};
    "populated-slot": {
        "& $content": {
            display: string;
        };
    };
};
export interface ChooserActionsProps extends PropsWithChildren<WithStyles<typeof styles>> {
    variant?: ChooserVariant;
    style?: React.CSSProperties;
    className?: string;
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<ChooserActionsProps>, "style" | "variant" | "className" | "children"> & import("@material-ui/core").StyledComponentProps<"empty-slot" | "populated-slot" | "root" | "content">>;
export default _default;
