import React, { PropsWithChildren } from "react";
import { WithStyles } from "@material-ui/core";
declare const styles: {
    root: {
        display: string;
    };
    header: {
        display: string;
        "&:hover": {
            cursor: string;
        };
    };
    body: {};
    open: {};
};
export interface CollapsibleSectionProps extends PropsWithChildren<WithStyles<typeof styles>> {
    onChange?: (expanded: boolean) => void;
    defaultExpanded?: boolean;
    style?: React.CSSProperties;
    className?: string;
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<CollapsibleSectionProps>, "style" | "className" | "children" | "onChange" | "defaultExpanded"> & import("@material-ui/core").StyledComponentProps<"root" | "open" | "body" | "header">>;
export default _default;
