import React from "react";
import { WithStyles } from "@material-ui/core";
import { SvgIconComponent } from "@material-ui/icons";
declare const styles: {
    root: {
        marginLeft: string;
    };
    label: {
        display: string;
    };
    icon: {
        marginRight: number;
    };
};
export interface CollapsibleSectionHeaderProps extends WithStyles<typeof styles> {
    icon: SvgIconComponent;
    title: string;
    style?: React.CSSProperties;
    className?: string;
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<CollapsibleSectionHeaderProps>, "style" | "icon" | "title" | "className" | "children"> & import("@material-ui/core").StyledComponentProps<"root" | "icon" | "label">>;
export default _default;
