var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { withStyles } from "@material-ui/core";
import clsx from "clsx";
import Card from "../Card";
import CardHeader from "../CardHeader";
import { ContentItem } from "../Icons";
export var styles = function (theme) { return ({
    root: __assign({ padding: "0 10px 15px", fontWeight: theme.typography.fontWeightBold, textOverflow: "ellipsis", whiteSpace: "nowrap", overflow: "hidden" }, theme.typography.subtitle1),
    body: {
        position: "absolute",
        top: 65,
        left: 10,
        right: 10,
        bottom: 10,
        backgroundSize: "contain",
        backgroundRepeat: "no-repeat",
        backgroundPosition: "50%"
    }
}); };
var ContentItemCard = function (props) {
    var label = props.label, _a = props.icon, icon = _a === void 0 ? ContentItem : _a, classes = props.classes, children = props.children, other = __rest(props, ["label", "icon", "classes", "children"]);
    return (React.createElement(Card, __assign({}, other),
        React.createElement(CardHeader, { title: label }),
        React.createElement("div", { className: clsx(classes.body), style: {
                backgroundImage: "url(" + icon + ")"
            } }, children)));
};
export default withStyles(styles, { name: "DcContentItemCard" })(ContentItemCard);
