import { ErrorReport } from "dc-extensions-sdk";
import { EditorRegistry } from "../EditorRegistry";
export declare enum EditorFieldParentType {
    EDITOR_ROOT = 0,
    OBJECT = 1,
    ARRAY = 2
}
export interface EditorFieldProps {
    schema: any;
    pointer: string;
    value?: any;
    readonly?: boolean;
    disabled?: boolean;
    required?: boolean;
    registry?: EditorRegistry;
    errorReport?: ErrorReport[];
    onChange?: (value: any) => void;
    parentType?: EditorFieldParentType;
}
export declare type WithEditorFieldProps<P = {}> = P & EditorFieldProps;
