import React from "react";
import { Theme, WithStyles } from "@material-ui/core";
export declare const styles: (theme: Theme) => {
    root: {
        border: string;
        height: string;
        width: string;
    };
};
export interface VisualizationParams {
    contentItemId?: string;
    snapshotId?: string;
    stagingEnvironment?: string;
    locales?: string;
}
export interface VisualizationProps extends WithStyles<typeof styles> {
    className?: string;
    template: string;
    params: VisualizationParams;
    style?: React.CSSProperties;
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<VisualizationProps>, "style" | "template" | "className" | "children" | "params"> & import("@material-ui/core").StyledComponentProps<string>>;
export default _default;
