var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { withStyles } from "@material-ui/core";
import clsx from "clsx";
import { detokenize } from "../utils";
export var styles = function (theme) { return ({
    root: {
        border: "none",
        height: "100%",
        width: "100%"
    }
}); };
var Visualization = function (props) {
    var template = props.template, params = props.params, classes = props.classes, className = props.className, other = __rest(props, ["template", "params", "classes", "className"]);
    var src = detokenize(template, {
        "content.sys.id": params.contentItemId,
        "content.sys.iri": "http://content.cms.amplience.com/" + params.contentItemId,
        "snapshot.id": params.snapshotId,
        "vse.domain": params.stagingEnvironment,
        "vse.src": "//" + params.stagingEnvironment + "/cms/content/query?fullBodyObject=true&query=%7B%22sys.iri%22%3A%22http%3A%2F%2Fcontent.cms.amplience.com%2F" + params.contentItemId + "%22%7D&scope=tree&store=staging",
        locales: params.locales
    });
    return (React.createElement("iframe", __assign({ className: clsx(classes.root, className), scrolling: "no", src: src }, other)));
};
export default withStyles(styles, { name: "DcVisualization" })(Visualization);
