var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { withStyles } from "@material-ui/core";
import clsx from "clsx";
import Label from "../Label";
var styles = {
    root: {
        marginLeft: "-5px"
    },
    label: {
        display: "inline-flex"
    },
    icon: {
        marginRight: 5
    }
};
var CollapsibleSectionHeader = function (props) {
    var Icon = props.icon, title = props.title, classes = props.classes, className = props.className, other = __rest(props, ["icon", "title", "classes", "className"]);
    return (React.createElement("div", __assign({}, other, { className: clsx(classes.root, className) }),
        React.createElement(Label, { className: clsx(classes.label) },
            React.createElement(Icon, { className: clsx(classes.icon), fontSize: "small" }),
            " ",
            title)));
};
export default withStyles(styles, { name: "DcCollapsibleSectionHeader" })(CollapsibleSectionHeader);
