import React from "react";
import { WithStyles } from "@material-ui/core";
import { WithEditorFieldProps } from "../EditorField";
export declare const styles: {
    root: {
        width: string;
    };
    selectTitle: {
        display: string;
        fontSize: string;
        textTransform: "uppercase";
        padding: number;
        fontWeight: number;
    };
};
export interface EditorDropdownFieldProps extends WithEditorFieldProps<WithStyles<typeof styles>> {
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<EditorDropdownFieldProps>, "pointer" | "disabled" | "children" | "onChange" | "value" | "required" | "schema" | "readonly" | "registry" | "errorReport" | "parentType"> & import("@material-ui/core").StyledComponentProps<"root" | "selectTitle">>;
export default _default;
