import React from "react";
import { WithStyles } from "@material-ui/core";
import { WithEditorFieldProps } from "../EditorField";
export declare const styles: {
    root: {
        width: string;
    };
    collapsibleBody: {
        padding: string;
    };
    header: {
        display: string;
        "vertical-align": string;
    };
};
export interface EditorMediaLinkFieldProps extends WithEditorFieldProps<WithStyles<typeof styles>> {
}
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<EditorMediaLinkFieldProps>, "pointer" | "disabled" | "children" | "onChange" | "value" | "required" | "schema" | "readonly" | "registry" | "errorReport" | "parentType"> & import("@material-ui/core").StyledComponentProps<"root" | "header" | "collapsibleBody">>;
export default _default;
