import React from "react";
import { WithStyles } from "@material-ui/core";
import { WithEditorFieldProps } from "../EditorField";
export declare const styles: {
    root: {
        width: string;
    };
    properties: {
        "margin-left": string;
        "list-style": string;
        margin: string;
        padding: string;
    };
    property: {};
    rootProperties: {
        "margin-left": string;
    };
    rootProperty: {
        "border-left": string;
        "padding-left": string;
        "margin-bottom": string;
    };
    collapsibleBody: {
        padding: string;
    };
    header: {
        display: string;
        "vertical-align": string;
    };
    selectTitle: {
        display: string;
        fontSize: string;
        textTransform: "uppercase";
        padding: number;
        fontWeight: number;
    };
};
export interface EditorOneOfFieldProps extends WithEditorFieldProps<WithStyles<typeof styles>> {
}
export declare function isOneOfField(schema: any): boolean;
declare const _default: React.ComponentType<Pick<React.PropsWithChildren<EditorOneOfFieldProps>, "pointer" | "disabled" | "children" | "onChange" | "value" | "required" | "schema" | "readonly" | "registry" | "errorReport" | "parentType"> & import("@material-ui/core").StyledComponentProps<"root" | "header" | "property" | "collapsibleBody" | "selectTitle" | "properties" | "rootProperties" | "rootProperty">>;
export default _default;
